# HG changeset patch
# Node ID 0d3ee59467ec
# Parent  a97178506aca
diff --git a/gplugin-gtk3/gplugin-gtk-plugin-info.c b/gplugin-gtk3/gplugin-gtk-plugin-info.c
--- a/gplugin-gtk3/gplugin-gtk-plugin-info.c
+++ b/gplugin-gtk3/gplugin-gtk-plugin-info.c
@@ -38,7 +38,7 @@
 /**
  * GPluginGtkPluginInfo:
  *
- * A widget that displays a #GPluginPluginInfo in a user friendly way.
+ * A widget that displays a [class@GPlugin.PluginInfo] in a user friendly way.
  */
 
 /******************************************************************************
@@ -429,10 +429,10 @@ gplugin_gtk_plugin_info_class_init(GPlug
 /**
  * gplugin_gtk_plugin_info_new:
  *
- * Create a new GPluginGtkView which can be used to display info about a
- * #GPluginPlugin.
+ * Create a new widget which can be used to display info about a
+ * [class@GPlugin.Plugin].
  *
- * Returns: (transfer full): The new #GPluginGtkView widget.
+ * Returns: (transfer full): The new display widget.
  */
 GtkWidget *
 gplugin_gtk_plugin_info_new(void)
@@ -442,10 +442,10 @@ gplugin_gtk_plugin_info_new(void)
 
 /**
  * gplugin_gtk_plugin_info_set_plugin:
- * @info: The #GPluginGtkPluginInfo instance.
- * @plugin: The #GPluginPlugin instance.
+ * @info: The widget instance.
+ * @plugin: The plugin instance.
  *
- * Sets the #GPluginPlugin that should be displayed.
+ * Sets the plugin that should be displayed.
  *
  * A @plugin value of %NULL will clear the widget.
  */
@@ -481,12 +481,11 @@ gplugin_gtk_plugin_info_set_plugin(
 
 /**
  * gplugin_gtk_plugin_info_get_plugin:
- * @info: The #GPluginGtkPluginInfo instance.
+ * @info: The widget instance.
  *
- * Returns the #GPluginPlugin that's being displayed.
+ * Returns the plugin that's being displayed.
  *
- * Return Value: (transfer full): The #GPluginPlugin that's being
- *                                displayed.
+ * Returns: (transfer full): The plugin that's being displayed.
  */
 GPluginPlugin *
 gplugin_gtk_plugin_info_get_plugin(GPluginGtkPluginInfo *info)
diff --git a/gplugin-gtk3/gplugin-gtk-store.c b/gplugin-gtk3/gplugin-gtk-store.c
--- a/gplugin-gtk3/gplugin-gtk-store.c
+++ b/gplugin-gtk3/gplugin-gtk-store.c
@@ -42,13 +42,13 @@
  * @GPLUGIN_GTK_STORE_PLUGIN_COLUMN: The plugin column.
  * @GPLUGIN_GTK_STORE_MARKUP_COLUMN: The markup column.
  *
- * An enum declaring the columns in a #GPluginGtkStore.
+ * An enum declaring the columns in a [class@GPluginGtk3.Store].
  */
 
 /**
  * GPluginGtkStore:
  *
- * A #GtkListStore that contains all of the known plugins in GPlugin.
+ * A [class@Gtk.ListStore] that contains all of the known plugins in GPlugin.
  */
 
 struct _GPluginGtkStore {
@@ -293,10 +293,10 @@ gplugin_gtk_store_class_init(GPluginGtkS
 /**
  * gplugin_gtk_store_new:
  *
- * Create a new #GPluginGtkStore which is a prepopulated #GtkTreeStore.
+ * Create a new #GPluginGtkStore which is a prepopulated [class@Gtk.TreeStore].
  *
- * Returns: (transfer full): A new #GtkTreeModel prepopulated with all of the
- *                           plugins.
+ * Returns: (transfer full): A new list store prepopulated with all of the
+ *          plugins.
  */
 GPluginGtkStore *
 gplugin_gtk_store_new(void)
@@ -309,8 +309,8 @@ gplugin_gtk_store_new(void)
  *
  * Returns the columns that #GPluginGtkStore's will use.
  *
- * Returns: (transfer none): A list of #GType's for the columns that the store
- *                           will use.
+ * Returns: (transfer none): A list of [type@GLib.Type]'s for the columns that
+ *          the store will use.
  */
 const GType *
 gplugin_gtk_store_get_column_types(void)
diff --git a/gplugin-gtk3/gplugin-gtk-view.c b/gplugin-gtk3/gplugin-gtk-view.c
--- a/gplugin-gtk3/gplugin-gtk-view.c
+++ b/gplugin-gtk3/gplugin-gtk-view.c
@@ -37,7 +37,7 @@
 /**
  * GPluginGtkView:
  *
- * A #GtkTreeView widget that displays all the plugins and some basic
+ * A [class@Gtk.TreeView] widget that displays all the plugins and some basic
  * information about them.
  */
 
@@ -251,7 +251,7 @@ gplugin_gtk_view_class_init(GPluginGtkVi
 /**
  * gplugin_gtk_view_new:
  *
- * Creates a new #GPluginGtkView.
+ * Creates a new [class@GPluginGtk3.View].
  *
  * Returns: (transfer full): The new view.
  */
@@ -273,7 +273,7 @@ gplugin_gtk_view_new(void)
 
 /**
  * gplugin_gtk_view_set_show_internal:
- * @view: The #GPluginGtkView instance.
+ * @view: The GTK view instance.
  * @show_internal: Whether or not to show internal plugins.
  *
  * This function will toggle whether or not the widget will show internal
@@ -291,7 +291,7 @@ gplugin_gtk_view_set_show_internal(GPlug
 
 /**
  * gplugin_gtk_view_get_show_internal:
- * @view: The #GPluginGtkView instance.
+ * @view: The GTK view instance.
  *
  * Returns whether or not @view is showing internal plugins.
  */
